Daemon Power

The NetBSD Packages Collection: net/gst-plugins1-libnice

Brief description of the package:
IETF's Interactive Connectivity Establishment standard implementation

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://nice.freedesktop.org/wiki/.

Please note that this package has a gnu-lgpl-v2.1 license.

The package is located in the "net/gst-plugins1-libnice" directory. The current source version of the package is "gst-plugins1-libnice-0.1.14nb4". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/gst-plugins1-libnice :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: glib2>=2.44.0 glib2>=2.4.0 gnutls>=3.3.0 lzo>=2.01 autogen>=5.12nb5 gmp>=5.0 gmp>=4.2.1 libcfg+>=0.6.2nb1 libtasn1>=4.9 cwrappers>=20150314 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.1.1 libunistring>=0.9.4 gupnp-igd>=0.2.1 gupnp>=0.20.3 glib2>=2.39.90 gobject-introspection>=0.6.14nb1 python27>=2.7 libsoup>=2.48.0 glib-networking-[0-9]* glib2>=2.56.0 libproxy>=0.3.1 libproxy>=0.2.3 gnutls>=3.6.0nb1 gsettings-desktop-schemas>=3.4.2 glib2>=2.34.0 gobject-introspection>=1.31 gobject-introspection>=1.34.0 python36>=3.6 python36>=3.6.0 libproxy>=0.4.11 py36-meson-[0-9]* glib2>=2.38.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 gobject-introspection>=0.9.5 python27>=2.7.1nb2 libsoup>=2.50.0 gssdp>=0.14.15 vala>=0.40 libsoup>=2.60.3nb1 gssdp>=0.12.2.1 gssdp>=1.0.2nb4 glib2>=2.14.0 gupnp>=1.0.2nb2 gtk-doc>=1.18 docbook-xml>=4.4nb1 docbook-xsl>=1.68.1 docbook-xml>=4.2 perl>=5.0 py27-six-[0-9]* pkgconf-[0-9]* libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* source-highlight>=3.1.7nb2 exctags-[0-9]* boost-libs-1.67.* boost-libs>=1.67.0 boost-headers-1.67.* rarian>=0.6.0 getopt-[0-9]* bash-[0-9]* libxslt>=1.1.28nb2 source-highlight>=3.1.8nb5 itstool-[0-9]* py27-libxml2-[0-9]* libxml2>=2.9.8 py27-expat>=0 py27-mock-[0-9]* gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-expat-[0-9]* py27-libxml2>=2.6.8 py27-libxml2>=2.6.27 libxslt>=1.1.32 docbook-xml>=4.5 libxml2>=2.6.12 libnice>=0.0.9 gupnp-igd>=0.2.5nb1 gstreamer1>=1.0.0 gst-plugins1-base>=1.0.0 libnice>=0.1.14nb5 .

This package requires the following package(s) to run: glib2>=2.44.0 glib2>=2.4.0 gnutls>=3.3.0 lzo>=2.01 autogen>=5.12nb5 gmp>=5.0 gmp>=4.2.1 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.1.1 libunistring>=0.9.4 gupnp-igd>=0.2.1 gupnp>=0.20.3 glib2>=2.39.90 gobject-introspection>=0.6.14nb1 python27>=2.7 libsoup>=2.48.0 glib-networking-[0-9]* glib2>=2.56.0 libproxy>=0.3.1 libproxy>=0.2.3 gnutls>=3.6.0nb1 gsettings-desktop-schemas>=3.4.2 glib2>=2.34.0 python36>=3.6 python36>=3.6.0 libproxy>=0.4.11 glib2>=2.38.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 libsoup>=2.50.0 gssdp>=0.14.15 vala>=0.40 gobject-introspection>=1.34.0 libsoup>=2.60.3nb1 gssdp>=0.12.2.1 python27>=2.7.1nb2 gssdp>=1.0.2nb4 glib2>=2.14.0 gupnp>=1.0.2nb2 libnice>=0.0.9 gupnp-igd>=0.2.5nb1 gstreamer1>=1.0.0 gst-plugins1-base>=1.0.0 libnice>=0.1.14nb5 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earm:gst-plugins1-libnice-0.1.13nb1.tgz(NetBSD 7.0)
earm:gst-plugins1-libnice-0.1.13nb1.tgz(NetBSD 7.0)
earmv6hf:gst-plugins1-libnice-0.1.13nb1.tgz(NetBSD 7.0)
earmv6hf:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 8.0)
earmv7hf:gst-plugins1-libnice-0.1.13nb1.tgz(NetBSD 7.0)
earmv7hf:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
earmv7hf:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
earmv7hf:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 8.0_BETA)
i386:gst-plugins1-libnice-0.1.13nb3.tgz(NetBSD 6.0)
i386:gst-plugins1-libnice-0.1.13nb5.tgz(NetBSD 6.0)
i386:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 6.0)
i386:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 6.0)
i386:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.0)
i386:gst-plugins1-libnice-0.1.13nb3.tgz(NetBSD 7.0)
i386:gst-plugins1-libnice-0.1.13nb5.tgz(NetBSD 7.0)
i386:gst-plugins1-libnice-0.1.13nb5.tgz(NetBSD 7.0)
i386:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 7.0)
i386:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.0)
i386:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1)
i386:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1)
i386:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
i386:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
powerpc:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1)
powerpc:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1)
powerpc:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
powerpc:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 8.0)
powerpc:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 6.0)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 6.1)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.0)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 7.0)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.0)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1.1)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 7.1)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 8.99.1)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 8.0)
x86_64:gst-plugins1-libnice-0.1.14nb2.tgz(NetBSD 8.0)
x86_64:gst-plugins1-libnice-0.1.14nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]